### Function

# Atk EventListener

#### Declaration

    void
    (* AtkEventListener) (
      AtkObject* obj
    )

#### Description [src]

A function which is called when an object emits a matching event, as used in #atk_add_focus_tracker. Currently the only events for which object-specific handlers are supported are events of type “focus:”. Most clients of ATK will prefer to attach signal handlers for the various ATK signals instead.

see `atk_add_focus_tracker()`.

#### Parameters

`obj`

  Type: `AtkObject`

  An `AtkObject` instance for whom the callback will be called when the specified event (e.g. ‘focus:’) takes place.

  The data is owned by the caller of the function.